How to add custom OpenVPN versions to Viscosity?

Got a problem with Viscosity or need help? Ask here!

yzh

Posts: 4
Joined: Fri Jan 29, 2016 7:05 am

Post by yzh » Fri Jan 29, 2016 7:13 am
How can I add custom versions of OpenVPN to Viscosity without replacing the original openvpn binary in /Library/Application Support/Viscosity? (on Mac OS X).

James

User avatar
Posts: 2101
Joined: Thu Sep 04, 2008 9:27 pm

Post by James » Tue Feb 02, 2016 3:02 pm
Hi yzh,

While it's possible to replace the OpenVPN binary that Viscosity uses with your own version, I'm afraid it's not possible to add additional secondary binaries as well.

Cheers,
James
James Bekkema
Viscosity Developer

Web: http://www.sparklabs.com
Support: http://www.sparklabs.com/support
Twitter: http://twitter.com/sparklabs

yzh

Posts: 4
Joined: Fri Jan 29, 2016 7:05 am

Post by yzh » Thu Feb 04, 2016 7:56 am
Then I don't understand why there is the option Advanced -> OpenVPN Version

James

User avatar
Posts: 2101
Joined: Thu Sep 04, 2008 9:27 pm

Post by James » Tue Feb 09, 2016 2:37 pm
Hi yzh,

Some versions of Viscosity may contain multiple versions of OpenVPN for backwards compatibility. For example in the past Viscosity has included both 2.0 and 2.1 version, 2.1 and 2.2, and 2.2 and 2.3 versions.

Currently Viscosity only includes version 2.3 of OpenVPN. If there are significant backwards compatibility issues with 2.4, which is expected to be released later this year, then it's likely we'll include both 2.3 and 2.4 in some future versions of Viscosity.

Cheers,
James
James Bekkema
Viscosity Developer

Web: http://www.sparklabs.com
Support: http://www.sparklabs.com/support
Twitter: http://twitter.com/sparklabs
4 posts Page 1 of 1